<!--
	title: FavDocSiteの使い方
	keywords: FavDocSite, 使い方
	description: このページでは、FavDocSiteの使い方について解説します。
	template: ../Template/TemplateSample2.html
-->
# FavDocSite

## FavDocSite.exeとは
Configファイルで指定されたコピー元のフォルダを巡回して、ファイルをコピー先のフォルダへコピーしながら、Markdownファイルを見つけたら、
htmlファイルやphpなどに変換するツールです。Markdownファイルの変換には、[FavDoc.exe](./FavDoc.html "FavDoc")を利用します。
コピーを除外するフォルダの指定や、サイトマップの自動生成もできます。


## コマンドラインオプション
|オプション     |意味                                                      |
|:--------------|:---------------------------------------------------------|
| -a			| ファイルの時間を確認せずにコピーする                     |
| -ext			| Markdown変換後のファイル拡張子は、"FavDoc.exe"に任せます |
| -?			| 使い方                                                   |


## Configファイル
```
/*
	Markdownファイル拡張子(複数可能)
*/
md_input_ext : ".md"
md_input_ext : ".mkdwn"



/*
	Markdownファイルから生成される拡張子(複数可能)
*/
md_output_ext : ".html"
md_output_ext : ".php"
md_output_ext : ".rb"
md_output_ext : ".pl"



/*
	単純にコピーするファイルの拡張子(複数可能)
*/
copy_ext : ""
copy_ext : ".html"
copy_ext : ".php"
copy_ext : ".css"
copy_ext : ".scss"
copy_ext : ".js"
copy_ext : ".png"
copy_ext : ".jpg"
copy_ext : ".jpeg"
copy_ext : ".gif"
copy_ext : ".ico"
copy_ext : ".svg"
copy_ext : ".mp3"
copy_ext : ".json"



// コピー元パス（入力フォルダパス）
input_folder : "./Markdown"


// コピー先パス（出力フォルダパス）
output_folder : "./Output/FavDocSite"


// コピー先ルートパス（出力フォルダルートパス）
output_root_folder : "./Output/FavDocSite"


// デフォルトテンプレート
default_template : "./template/TemplateSample1.html"


// SyntaxHighlighterフォルダ(省略可能)
syntax_highlighter : "./Output/FavDocSite/SyntaxHighlighter"


// FavDoc追加パラメータ
//favdoc_options : "-imagelink"


/*
	サイトマップ
*/

// サイトマップルート
sitemap_root : "http://domain/FavDocSiteTest/"

// サイトマップ出力先パス名(出力フォルダパスからの相対パス)(省略するとサイトマップ無し)
sitemap_path : "./sitemap.txt"

/*
	サイトマップに登録する拡張子(複数可能)
*/
sitemap_ext : ".html"
sitemap_ext : ".php"
sitemap_ext : ".rb"
sitemap_ext : ".pl"


// 除外サイトマップ(複数可能)
exclude_sitemap : "http://domain/FavDocSiteTest/google1dcf91fe84656bab.html";
exclude_sitemap : "http://domain/FavDocSiteTest/common.php";


```

## 設定値の意味
|キーワード             |意味                                                                                   |
|:----------------------|:--------------------------------------------------------------------------------------|
| md_input_ext			| Markdownファイルと認識して、FavDoc.exeを起動するファイルの拡張子                      |
| md_output_ext			| Markdownファイル変換後に出力されるファイルの拡張子                                    |
| input_folder			| コピー元フォルダ                                                                      |
| output_folder			| コピー先フォルダ                                                                      |
| output_root_folder	| 出力フォルダルートパス                                                                |
| default_template		| Markdownファイル側でテンプレートの指定が無かった場合に使用するテンプレート            |
| syntax_highlighter	| SyntaxHighlighterのフォルダを指定します（省略可能）                                   |
| sitemap_root			| サイトマップのドメインや規程のＷＥＢパスを指定します                                  |
| sitemap_path			| サイトマップ出力先パス名(出力フォルダパスからの相対パス)(省略するとサイトマップ無し)  |
| sitemap_ext			| サイトマップに登録する対象とするファイル拡張子                                        |
| exclude_sitemap		| サイトマップ作成時に除外するサイトＷＥＢパス                                          |
| favdoc_options		| FavDocに追加で渡したいオプションを指定します                                          |


## 指定フォルダの除外
コピー元フォルダの中で、除外したいフォルダに`NotFind.txt`ファイルを作成します（中身は空で良いです）。FavDocSite.exeは、
ファイルを巡回しながらコピーする際に、`NotFind.txt`が置いてあるフォルダは無視するようになります。


## 使用方法
```
> FavDocSite.exe ConfigFile.txt
```


